# Uses of Interface
org.eclipse.ecf.remoteservice.events.IRemoteServiceEvent

Packages that use IRemoteServiceEvent
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.events

## Uses of IRemoteServiceEvent in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IRemoteServiceEvent
Modifier and Type
Method
Description
`protected void`
RegistrySharedObject.`fireRemoteServiceListeners(IRemoteServiceEvent event)`

## Uses of IRemoteServiceEvent in org.eclipse.ecf.remoteservice

Methods in org.eclipse.ecf.remoteservice with parameters of type IRemoteServiceEvent
Modifier and Type
Method
Description
`protected void`
RemoteServiceContainerAdapterImpl.`fireRemoteServiceListeners(IRemoteServiceEvent event)`
`void`
IRemoteServiceListener.`handleServiceEvent(IRemoteServiceEvent event)`
Handle remote service events.

## Uses of IRemoteServiceEvent in org.eclipse.ecf.remoteservice.events

Subinterfaces of IRemoteServiceEvent in org.eclipse.ecf.remoteservice.events
Modifier and Type
Interface
Description
`interface`
`IRemoteServiceChangedEvent`
Remote service changed event.
`interface`
`IRemoteServiceReferenceRetrievedEvent`
`interface`
`IRemoteServiceRegisteredEvent`
Remote service registered event.
`interface`
`IRemoteServiceUnregisteredEvent`
Remote service unregistered event.